# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Child.pm) perl(Compress/Raw/Zlib.pm) perl(HTTP/Headers.pm) perl(HTTP/Lite.pm) perl(HTTP/Proxy.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Server/PSGI.pm) perl(LWP/UserAgent.pm) perl(Plack/Loader.pm) perl(Plack/Request.pm) perl(Starlet/Server.pm) perl(Starman.pm) perl(Test/Fake/HTTPD.pm) perl(Test/SharedFork.pm) perl(URI.pm) perl(WWW/Curl/Easy.pm) perl(autodie.pm) perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Furl
%define upstream_version 3.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    Response object for Furl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN/Meta.pm)
BuildRequires: perl(CPAN/Meta/Prereqs.pm)
BuildRequires: perl(Class/Accessor/Lite.pm)
BuildRequires: perl(Encode.pm)
BuildRequires: perl(ExtUtils/CBuilder.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(HTTP/Parser/XS.pm)
BuildRequires: perl(MIME/Base64.pm)
BuildRequires: perl(Module/Build/Tiny.pm)
BuildRequires: perl(Mozilla/CA.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Socket.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(Test/TCP.pm)
BuildRequires: perl(Time/HiRes.pm)
BuildArch:  noarch
Source44: import.info

%description
Furl is yet another HTTP client library. LWP is the de facto standard HTTP
client for Perl5, but it is too slow for some critical jobs, and too
complex for weekend hacking. Furl resolves these issues. Enjoy it!

This library is an *beta* software. Any API may change without notice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml  TODO example
%{perl_vendor_privlib}/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.13-alt1_3
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 3.13-alt1_2
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 3.08-alt1_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 3.08-alt1_2
- update by mgaimport

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 3.08-alt1_1
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 3.03-alt2_3
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.03-alt2_2
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 3.03-alt2_1
- rebuild to get rid of unmets

* Sat Aug 30 2014 Igor Vlasenko <viy@altlinux.ru> 3.03-alt1_1
- update by mgaimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 3.02-alt1_1
- import

* Tue Sep 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.19-alt1_1
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 1.02-alt2_2
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_1
- converted for ALT Linux by srpmconvert tools

